/*
**      $VER: ds_protos.h 37.0 (30.01.97)
**
**      prototypes for ds.library
**
**      (C) Copyright 1997 Markus Hillenbrand
**      All Rights Reserved.
*/

#ifndef CLIB_DS_PROTOS_H
#define CLIB_DS_PROTOS_H

#ifndef LIBRARIES_DS_H
#include <libraries/ds.h>
#endif 

/* These functions are available for all data structures */

/* These functions are useful with b trees on disk */
int   DS_BTreeOpen    	(BTREE *tree, char *fileName, int keySize, int dataSize, int (*compareFunction)(void *, void *));
void  DS_BTreeClose   	(BTREE t);
int	DS_BTreeInsert  	(BTREE t, void *key, void *data);
int 	DS_BTreeDelete  	(BTREE t, void *key);
int 	DS_BTreeGetEntry	(BTREE t, void *key, void *mem);

#endif /* CLIB_DS_PROTOS_H */

